CustomBindAddress (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.CustomBindAddress interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface CustomBindAddress

All Superinterfaces:
  BindAddress, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface CustomBindAddress

extends BindAddress

A type/path combo (both are Strings)

Naming Rules:
  0="primaryIpAddress,customType,customPath"
Persistable:
  true
Display Name:
  customPath

Field Summary

Fields inherited from interface com.collation.platform.model.topology.net.BindAddress
`TCP_PORT, UDP_PORT`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCustomPath()`
`java.lang.String` | `getCustomType()`
`boolean` | `hasCustomPath()`
`boolean` | `hasCustomType()`
`void` | `setCustomPath(java.lang.String customPath)`
`void` | `setCustomType(java.lang.String customType)`

Methods inherited from interface com.collation.platform.model.topology.net.BindAddress
`getIpAddress, getPath, getPortNumber, getPrimaryIpAddress, getType, hasIpAddress, hasPath, hasPortNumber, hasPrimaryIpAddress, hasType, setIpAddress, setPath, setPortNumber, setPrimaryIpAddress, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCustomPath

    java.lang.String getCustomPath()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCustomPath

    void setCustomPath(java.lang.String customPath)

### hasCustomPath

    boolean hasCustomPath()

### getCustomType

    java.lang.String getCustomType()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCustomType

    void setCustomType(java.lang.String customType)

### hasCustomType

    boolean hasCustomType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD